org.apache.ignite.internal.commandline.meta.subcommands

## Class MetadataDetailsCommand

- java.lang.Object
- - org.apache.ignite.internal.commandline.meta.subcommands.MetadataAbstractSubCommand<MetadataTypeArgs,MetadataListResult>
  - - org.apache.ignite.internal.commandline.meta.subcommands.MetadataDetailsCommand

All Implemented Interfaces:
  Command<MetadataTypeArgs>

    public class MetadataDetailsCommand
    extends MetadataAbstractSubCommand<MetadataTypeArgs,MetadataListResult>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.commandline.meta.subcommands.MetadataAbstractSubCommand

`MetadataAbstractSubCommand.VoidDto`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.commandline.meta.subcommands.MetadataAbstractSubCommand

`FS`

### Constructor Summary

Constructors
Constructor and Description
`MetadataDetailsCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `name()`
`MetadataTypeArgs` `parseArguments0(CommandArgIterator argIter)`
`protected void` `printResult(MetadataListResult res, Logger log)`
`protected String` `taskName()`

### Methods inherited from class org.apache.ignite.internal.commandline.meta.subcommands.MetadataAbstractSubCommand

`arg, execute, experimental, parseArguments, printInt, printUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.commandline.Command

`confirmationPrompt, experimentalEnabled, extendToLen, prepareConfirmation, startClient, usage, usage, usageParams`

### Constructor Detail

#### MetadataDetailsCommand

    public MetadataDetailsCommand()

### Method Detail

#### taskName

    protected String taskName()

Specified by:
  `taskName` in class `MetadataAbstractSubCommand<MetadataTypeArgs,MetadataListResult>`

#### parseArguments0

    public MetadataTypeArgs parseArguments0(CommandArgIterator argIter)

Overrides:
  `parseArguments0` in class `MetadataAbstractSubCommand<MetadataTypeArgs,MetadataListResult>`

#### printResult

    protected void printResult(MetadataListResult res,
                               Logger log)

Specified by:
  `printResult` in class `MetadataAbstractSubCommand<MetadataTypeArgs,MetadataListResult>`

#### name

    public String name()

Returns:
  command name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020